﻿(function (ng) {
    angular.module('validation')
        .factory('ValidateRecaptcha', ['$http', function ($http) {

            var onloadCallback = function () {
                grecaptcha.render('captcha_container', {
                    'sitekey': '6Ldx8wsTAAAAAB7nUzIibOEuwauMQg9B7QzsWvY8',// Public key
                    'callback': correctCaptcha,
                });

            };

            var correctCaptcha = function (response) {
                console.log(response);

                $.ajax({
                    type: 'POST',
                    url: "/api/Validation/ReCaptcha",
                    data: "=" + response,
                    success: function (data) {
                        var res = JSON.parse(data);
                        console.log(res);
                        console.log(res.success);
                        if (res.success === true) {
                            return res;
                        }
                    }
                });

            };


            return {
                onloadCallback: onloadCallback,
                correctCaptcha: correctCaptcha
            };
        }]); 
})(angular);