// http://briantford.com/blog/huuuuuge-angular-apps.html
// http://cliffmeyers.com/blog/2013/4/21/code-organization-angularjs-javascript

// Declare all modules and their dependancies
angular.module('nzhptApp', ['mobileNav', 'mapModule', 'forms', 'search', 'reusableDirectives', 'vcRecaptcha', 'ngSanitize', 'ngAnimate', 'filters', 'helper'])
    .constant('_', window._)
    .run(['$window', '$rootScope', function ($window, $rootScope) {
        $rootScope._ = window._;
        $window.FastClick.attach(document.body);
    }]);
angular.module('mobileNav', ['storage']);
angular.module('mapModule', ['ui.select2', 'ui.unique', '$strap.directives']);
angular.module('forms', []);
angular.module('search', ['infinite-scroll', '$strap.directives', 'ui.select2']);
angular.module('reusableDirectives', []);
angular.module('storage', []);
angular.module('filters', []);
angular.module('helper', []);
