<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:java="http://xml.apache.org/xslt/java"
		xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
		xmlns:gslib="http://www.greenstone.org/skinning"
		xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
		extension-element-prefixes="java util"
		exclude-result-prefixes="java util gsf">
  

  <xsl:template match="classifier">
    <xsl:param name="collName"/>
    <xsl:param name="serviceName"/>
    <div id="classifiers">
      <xsl:variable name="cl_name"><xsl:value-of select="@name"/></xsl:variable>
      <xsl:choose>
	<xsl:when test="@childType = 'HList'">
	  <xsl:call-template name="HList">
	    <xsl:with-param name='collName' select='$collName'/>
	    <xsl:with-param name='serviceName' select='$serviceName'/>
	  </xsl:call-template>
	</xsl:when>
	<xsl:otherwise>
	  <div style="position: relative">
	    <xsl:if test="$cl_name = 'CL4'">
	      <!--
		  width="1380.2666"
		  height="1746.2094"
	      -->
	      <iframe src="interfaces/{$interface_name}/iframe/nz-territories.svg"
		      style="float:right; positionXX: absolute; width: 345px; height: 436px; border: none; ">
		<gsf:comment>filler</gsf:comment>
	      </iframe>
	    </xsl:if>
	    
	    <table id="classifiernodelist">
	      <xsl:text> </xsl:text>
	      <xsl:call-template name="processNodeChildren">
		<xsl:with-param name='collName' select='$collName'/>
		<xsl:with-param name='serviceName' select='$serviceName'/>
	      </xsl:call-template>
	    </table>
	  </div>
	</xsl:otherwise>
      </xsl:choose>
    </div>
  </xsl:template>
  

</xsl:stylesheet>

